package com.liquidnet.service.kylin.dto.vo.mongo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel
@Data
public class KylinCandyVo implements Serializable, Cloneable {

    @ApiModelProperty(value = "券类别id")
    private String couponId;
    @ApiModelProperty(value = "券id")
    private String ucouponId;
    @ApiModelProperty(value = "巡演id")
    private String roadShowId;

    private static final KylinCandyVo obj = new KylinCandyVo();

    public static KylinCandyVo getNew() {
        try {
            return (KylinCandyVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinCandyVo();
        }
    }

}
